"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "function-token-no-space";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected space between function name and \"(\"" });

exports.messages = messages;

exports["default"] = function () {
  return function (css, result) {
    css.eachDecl(function (decl) {
      var value = decl.value;

      (0, _utils.valueIndexOf)({ value: value, char: "(" }, function (index) {
        checkOpeningParen(value, index, decl);
      });
    });

    function checkOpeningParen(source, index, node) {
      if ((0, _utils.isWhitespace)(source[index - 1])) {
        result.warn(messages.rejected, { node: node });
      }
    }
  };
};