"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var ruleName = "no-missing-eof-newline";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  rejected: "Unexpected missing newline at end of file"
});

exports.messages = messages;

exports["default"] = function (actual) {
  return function (root, result) {
    var validOptions = (0, _utils.validateOptions)(result, ruleName, { actual: actual });
    if (!validOptions) {
      return;
    }

    if (root.source.input.css.slice(-1) !== "\n") {
      (0, _utils.report)({
        message: messages.rejected,
        node: root,
        index: root.toString().length - 1,
        result: result,
        ruleName: ruleName
      });
    }
  };
};