"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _utilsIsSingleLineString = require("../../utils/isSingleLineString");

var _utilsIsSingleLineString2 = _interopRequireDefault(_utilsIsSingleLineString);

var ruleName = "rule-set-no-single-line";
exports.ruleName = ruleName;
var messages = {
  rejected: "Unexpected single-line rule-set (" + ruleName + ")" };

exports.messages = messages;
/**
 * @param {boolean} isOn - If true, reject single-line rule sets;
 *   if false, do nothing
 */

exports["default"] = function (isOn) {
  return function (css, result) {
    if (!isOn) {
      return;
    }

    css.eachRule(function (rule) {
      if (!(0, _utilsIsSingleLineString2["default"])(rule.toString())) {
        return;
      }

      result.warn(messages.rejected, { node: rule });
    });
  };
};