"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var _selectorDelimiterSpaceAfter = require("../selector-delimiter-space-after");

var ruleName = "selector-delimiter-newline-after";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expectedAfter: function expectedAfter() {
    return "Expected newline after selector delimiter";
  },
  rejectedAfter: function rejectedAfter() {
    return "Unexpected space after selector delimiter";
  } });
exports.messages = messages;
/**
 * @param {"always"|"never"} expectation
 */

exports["default"] = function (expectation) {
  var checker = (0, _utils.whitespaceChecker)("\n", expectation, messages);
  return (0, _selectorDelimiterSpaceAfter.selectorDelimiterSpaceChecker)(checker.after);
};