/**
 * Check if a *trimmed* string is a single line (i.e. does not contain
 * any newline characters).
 *
 * The fact that it's trimmed means that newline characters at the
 * beginning or end will be ignored.
 *
 * @param {string} input
 * @return {boolean}
 */
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports["default"] = function (input) {
  return !/[\n\r]/.test(input.trim());
};

module.exports = exports["default"];